View Issue Details

IDProjectCategoryView StatusLast Update
0000330FreeCADFeaturepublic2012-02-20 19:28
Reporteromarlakhdar Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000330: Wheel zoom sensitivty settings
DescriptionI think it could be a good thing to have access to wheel zoom sensitivy. For example, we don't need the seem wheel sensitivity for large scale projects as small scale and precise modelings.
TagsNo tags attached.
FreeCAD Information

Activities

wmayer

2011-04-14 05:57

administrator   ~0000785

anonymous said:
When you work on a mechanical piece you'd like to zoom by small steps. When
 you work on city plans or big buildings you need to make big steps when you
 zoom/unzoom.

 The default wheel zoom sensitivity is more approriate to mechanical
 modeling than architectural modeling, it would be nice to make it
 customizable in order to reduce the effort of wheeling when you want to
 unzoom with a big distance...

Jriegel

2011-05-17 07:33

administrator   ~0000826

Would be nice, but I have no time at the moment

pperisin

2011-05-21 18:08

reporter   ~0000858

One software i use can also zoom in/out with wheel, but if you press CTRL key you can zoom in/out with greater scale.

OTOH, this could have option in preferences, so that you set the value of zooming.

Regards,
Petar Perisin

wmayer

2012-02-20 19:28

administrator   ~0001642

This can be customized by the user now. Done in git master.

Issue History

Date Modified Username Field Change
2011-04-14 05:55 wmayer New Issue
2011-04-14 05:55 wmayer Status new => assigned
2011-04-14 05:55 wmayer Assigned To => Jriegel
2011-04-14 05:57 wmayer Note Added: 0000785
2011-04-14 05:57 wmayer Reporter wmayer => omarlakhdar
2011-05-17 07:33 Jriegel Note Added: 0000826
2011-05-17 07:33 Jriegel Assigned To Jriegel =>
2011-05-17 10:21 Jriegel Status assigned => confirmed
2011-05-17 13:45 Jriegel Status confirmed => acknowledged
2011-05-21 18:08 pperisin Note Added: 0000858
2012-02-20 19:28 wmayer Note Added: 0001642
2012-02-20 19:28 wmayer Status acknowledged => closed
2012-02-20 19:28 wmayer Resolution open => fixed
2012-02-20 19:28 wmayer Fixed in Version => 0.13